GET
/payments/customersList
Recovers all created payment customers
Parameters
Query Parameters
| Name | Type |
|---|---|
pageSize | number (double) |
page | number (double) |
name | string |
email | string |
cpf | string |
cnpj | string |
Responses
200Retrieve a list of all payment customers
object
pagenumber (double)
totalnumber (double)
totalPagesnumber (double)
resultsobject[]
List of payment customers
itemsobject
Response with information related to a payment customer
Example response
json
{
"page": 1,
"total": 1,
"totalPages": 1,
"results": [
{
"id": "05c693bf-c196-47ea-a28c-8251d6bb8a06",
"type": "INDIVIDUAL",
"name": "Marco Silva",
"email": "marco.silva@example.com",
"createdAt": "2023-11-06T13:03:45.689Z",
"updatedAt": "2023-11-06T13:03:45.689Z"
}
]
}curl -X GET \
'https://api.pluggy.ai/payments/customers' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'Sample response
{
"page": 1,
"total": 1,
"totalPages": 1,
"results": [
{
"id": "05c693bf-c196-47ea-a28c-8251d6bb8a06",
"type": "INDIVIDUAL",
"name": "Marco Silva",
"email": "marco.silva@example.com",
"createdAt": "2023-11-06T13:03:45.689Z",
"updatedAt": "2023-11-06T13:03:45.689Z"
}
]
}